Commit d2b07a63 authored by nico's avatar nico

[packages] cwiid: don't build on 2.4, reformat, cleanup

 * use the uinput subsystem, only available on 2.6



git-svn-id: svn://svn.openwrt.org/openwrt/packages@22224 3c298f89-4303-0410-b956-a3cf2f4a3e73
parent 926b1092
......@@ -17,26 +17,32 @@ PKG_SOURCE_VERSION:=2100f14c612471084434b364501e3818c7f4144e
include $(INCLUDE_DIR)/package.mk
define Package/cwiid/Default
TITLE:=Linux Nintendo Wiimote interface
URL:=http://abstrakraft.org/cwiid/
DEPENDS:= @!LINUX_2_4
endef
define Package/libcwiid
$(call Package/cwiid/Default)
SECTION:=libs
CATEGORY:=Libraries
DEPENDS:=+bluez-libs
TITLE:=Linux Nintendo Wiimote interface
URL:=http://abstrakraft.org/cwiid/
TITLE+= (library)
DEPENDS+= +bluez-libs
endef
define Package/wminput
$(call Package/cwiid/Default)
SECTION:=utils
CATEGORY:=Utilities
DEPENDS:=+libcwiid
TITLE:=Linux Nintendo Wiimote interface
URL:=http://abstrakraft.org/cwiid/
TITLE+= (utility)
DEPENDS+= +libcwiid
endef
CONFIGURE_ARGS += \
--without-python \
--disable-ldconfig \
--enable-shared \
--without-python \
--disable-ldconfig \
--enable-shared \
TARGET_CFLAGS += $(FPIC)
......@@ -57,9 +63,9 @@ define Build/Compile
endef
define Build/InstallDev
mkdir -p $(1)/usr/include/
$(INSTALL_DIR) $(1)/usr/include
$(CP) $(PKG_BUILD_DIR)/libcwiid/*.h $(1)/usr/include/
mkdir -p $(1)/usr/lib/
$(INSTALL_DIR) $(1)/usr/lib
$(CP) $(PKG_BUILD_DIR)/libcwiid/*.so $(1)/usr/lib/
endef
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment